org.gradle.api.attributes

## Interface AttributeCompatibilityRule<T>

- Type Parameters:
    `T` - The attribute value type.
  All Superinterfaces:
    Action<CompatibilityCheckDetails<T>>

      @Incubating
      public interface AttributeCompatibilityRule<T>
      extends Action<CompatibilityCheckDetails<T>>

  A rule that determines whether a given attribute value is compatible some provided attribute value.
  Since:
    4.0

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.Action

      `execute`